export interface ChecklistOptions {
    key?: string | undefined;
    keyType?: 'string' | 'number' | undefined;
}
/**
 *
 * @param data item list for check. https://github.com/gtgalone/react-checklist#data
 * @param options option for check. https://github.com/gtgalone/react-checklist#options
 * @returns return properties. https://github.com/gtgalone/react-checklist#return
 */
export declare const useChecklist: (data: any[], options?: ChecklistOptions) => {
    isCheckedAll: boolean;
    checkedItems: Set<string | number>;
    setCheckedItems: (set: Set<number | string>) => void;
    handleCheck: (e: any) => void;
};
